<?php 
$r="../../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);

if(isset($_POST['infoproducto'])){
    $idproduto = $_POST['infoproducto'];
    $presentaciones = array();
    
    $infoproducto = info('iva','z_productos',$idproduto);
    
    $result = $mysqli->query("SELECT idpresentacion, minorista FROM `z_producto_presentacion` WHERE idproducto=$idproduto GROUP BY idpresentacion ORDER BY preferido DESC");
    // Obtener los datos de la consulta
    $row = $result->fetch_assoc();

    // Asociar el array de presentaciones al array de información del producto
    $result2 = $mysqli->query("SELECT precio_compra FROM `z_proveedores_precios` WHERE `idproducto` = $idproduto AND `idpresentacion` = 22 ORDER BY id DESC LIMIT 1;");
    // Obtener los datos de la consulta
    $row2 = $result2->fetch_assoc();

    
    $infoproducto['presentacion'] = $row['idpresentacion'];
    $infoproducto['precio'] = $row2['precio_compra'];
    $infoproducto['ivo'] = $iva;
    // Devolver la respuesta en formato JSON
    header('Content-Type: application/json');
    echo json_encode($infoproducto);
}

